# Deny a Document Denies a document specified by the currentStepId. Allows you to add a comment in the request body. Endpoint: POST /workflowsmanager.deny/{currentStepId} Security: basic, X-PriceFx-jwt ## Path parameters: - `currentStepId` (string, required) The ID of the workflow step. It can be retrieved using the /workflowsmanager.fetch/active (List Pending Approvals) endpoint. Example: "2d721e9d-ac6d-4eda-bd6c-60424f4fdaef" ## Request fields (application/json): - `data` (object, required) - `data.actionComment` (string, required) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.workflow` (object) - `response.data.workflow.workflowStatus` (string) - `response.data.workflow.isSelectStepOnDeny` (string) - `response.data.workflow.type` (string) - `response.data.workflow.steps` (array) - `response.data.workflow.steps.reason` (string, required) - `response.data.workflow.steps.reasons` (array) - `response.data.workflow.steps.isUserApprover` (string, required) - `response.data.workflow.steps.userGroupNames` (any) - `response.data.workflow.steps.minApprovalsForGroups` (array) - `response.data.workflow.steps.isPostStepLogicFailed` (any) - `response.data.workflow.steps.postStepLogicName` (any) - `response.data.workflow.steps.id` (string, required) - `response.data.workflow.steps.executedByNames` (array) - `response.data.workflow.steps.userLoginNames` (array) - `response.data.workflow.steps.userGroupTypedId` (any) - `response.data.workflow.steps.approvalRequiredEmailAttachments` (array) - `response.data.workflow.steps.subSteps` (array) - `response.data.workflow.steps.subSteps.approver` (string, required) - `response.data.workflow.steps.subSteps.approverLoginName` (string, required) - `response.data.workflow.steps.subSteps.approverTypedId` (string, required) - `response.data.workflow.steps.subSteps.executionStatus` (string, required) - `response.data.workflow.steps.subSteps.lastExecutedBy` (string, required) - `response.data.workflow.steps.subSteps.lastExecutedByName` (string, required) - `response.data.workflow.steps.subSteps.approvedCount` (number, required) - `response.data.workflow.steps.subSteps.minApprovalsNeeded` (number, required) - `response.data.workflow.steps.subSteps.comment` (string, required) - `response.data.workflow.steps.subSteps.comments` (any) - `response.data.workflow.steps.subSteps.lastExecutionDate` (string, required) - `response.data.workflow.steps.userTypedIds` (array) - `response.data.workflow.steps.lastAccess` (string, required) - `response.data.workflow.steps.userName` (string, required) - `response.data.workflow.steps.delegatedToTypedIds` (array) - `response.data.workflow.steps.userGroupTypedIds` (any) - `response.data.workflow.steps.userTypedId` (string, required) - `response.data.workflow.steps.uniqueName` (string, required) - `response.data.workflow.steps.denialReasons` (array) - `response.data.workflow.steps.userGroupName` (any) - `response.data.workflow.steps.isDenialReasonOptional` (string, required) - `response.data.workflow.steps.userNames` (array) - `response.data.workflow.steps.mandatoryComments` (array) - `response.data.workflow.approvableTypedId` (string) - `response.data.workflow.currentStepId` (any) - `response.data.workflow.submitReason` (any) - `response.data.workflow.submitterUserName` (string) - `response.data.workflow.submitterTypedId` (string) - `response.data.workflow.isAddStepRestrictedToWFAdmin` (string) - `response.data.resultType` (string) - `response.status` (number)